# Name_Proxy.h File Reference

`#include "ace/INET_Addr.h"`
`#include "ace/SOCK_Connector.h"`
`#include "ace/SOCK_Stream.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Synch_Options.h"`
`#include "ace/Name_Request_Reply.h"`
`#include "ace/Event_Handler.h"`

Include dependency graph for Name_Proxy.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Name_Proxy
| Proxy for dealing with remote server process managing NET_LOCAL NameBindings. More...

## Detailed Description

Id
  Name_Proxy.h,v 4.13 2005/10/28 16:14:53 ossama Exp

Proxy for dealing with remote server process managing NET_LOCAL Name_Bindings.

Author:
  Gerhard Lenzer

  Douglas C. Schmidt

  Prashant Jain